Yii Framework Forum: Yiiclipse - Eclipse PDT extension for Yii Framework - Yii Framework Forum

Jump to content

  • (5 Pages)
  • +
  • 1
  • 2
  • 3
  • 4
  • Last »
  • You cannot start a new topic
  • You cannot reply to this topic

Yiiclipse - Eclipse PDT extension for Yii Framework Rate Topic: ***** 5 Votes

#21 User is offline   Veseliq 

  • Junior Member
  • Pip
  • Yii
  • Group: Members
  • Posts: 31
  • Joined: 21-September 10
  • Location:Sofia, Bulgaria

Posted 05 August 2011 - 03:38 AM

Another idea is to exclude yiilite.php from the inclusion path. It's rather annoying and generally should not be used under development.
0

#22 User is offline   ricardograna 

  • Advanced Member
  • PipPipPip
  • Yii
  • Group: Members
  • Posts: 375
  • Joined: 31-March 09
  • Location:Manaus/AM - Brazil

Posted 05 August 2011 - 10:24 AM

How can I manually install?


I am receiving the following messages:
Network connection problems encountered during search.
Unable to access "http://yiiclipse.maziarz.org/updatesite/1.0/".
Error parsing site stream. [White spaces are required between publicId and systemId.]
White spaces are required between publicId and systemId.
Error parsing site stream. [White spaces are required between publicId and systemId.]
White spaces are required between publicId and systemId.


Tried to copy the jar plugin, but either not worked .
Yes, It Is!
0

#23 User is offline   Don O'Hara 

  • Newbie
  • Yii
  • Group: Members
  • Posts: 1
  • Joined: 11-August 11

Posted 15 August 2011 - 12:43 PM

Great tool!

Running under windows, eclipse 3.7 fresh install, the navigation works fine. When I run the wizard for a new Yii project, the "initialize project with" options are all disabled. Shouldn't they be enabled?
0

#24 User is offline   Asgaroth 

  • Advanced Member
  • PipPipPip
  • Yii
  • Group: Members
  • Posts: 371
  • Joined: 17-July 09
  • Location:Bogota, Colombia

Posted 01 September 2011 - 02:48 PM

Looks cool but i wasent able to install

I'm getting the following error as well, using AptanaStudio 2 on ubuntu 11.04 with PHP Development Tools (PDT) Version: 2.1.3

Cannot complete the install because one or more required items could not be found.
  Software being installed: Yiiclipse Core 1.0.0.201108011652 (org.maziarz.yiiclipse.feature.feature.group 1.0.0.201108011652)
  Missing requirement: YiiclipseCore 1.0.0.201108011652 (org.maziarz.yiiclipse 1.0.0.201108011652) requires 'package org.eclipse.php.internal.core.model 0.0.0' but it could not be found
  Cannot satisfy dependency:
    From: Yiiclipse Core 1.0.0.201108011652 (org.maziarz.yiiclipse.feature.feature.group 1.0.0.201108011652)
    To: org.maziarz.yiiclipse [1.0.0.201108011652]

- Extension: Dynamic DataProvider Behavior
- Extension: XUpload - jQuery File Upload Extension
- Extension: PhpQuickProfiler - A Web Log Router that will help you profile your application
- Extension: XDateView - A Date grouped Grid View
- Extension: Foundation - An easy to use, powerful, and flexible framework for building prototypes and production code on any kind of device.



- Wiki: How to generate Yii like Documentation
- Wiki: How to re enable logging during unit testing
0

#25 User is offline   yJeroen 

  • Junior Member
  • Pip
  • Yii
  • Group: Members
  • Posts: 94
  • Joined: 06-September 11
  • Location:The Netherlands

Posted 08 September 2011 - 02:20 AM

I am getting the following error when I try to install Yiiclipse Core:

Cannot complete the request. See the details.
Cannot find a solution satisfying the following requirements Match[requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.equinox.preferences/[3.2.201.R34x_v20080709,3.2.201.R34x_v20080709]].

I also tried to manually put the .jar file in the dropins folder, but there is no option for a Yiiclipse project. Is there any other way to fix this problem?
0

#26 User is offline   Da:Sourcerer 

  • Master Member
  • PipPipPipPip
  • Yii
  • Group: Members
  • Posts: 1,193
  • Joined: 30-March 11
  • Location:Berlin, Germany

Posted 08 September 2011 - 11:36 AM

Still no good:
Cannot complete the install because one or more required items could not be found.
  Software being installed: Yiiclipse Core 1.0.0.201108011652 (org.maziarz.yiiclipse.feature.feature.group 1.0.0.201108011652)
  Missing requirement: YiiclipseCore 1.0.0.201108011652 (org.maziarz.yiiclipse 1.0.0.201108011652) requires 'package org.eclipse.php.internal.core.model 0.0.0' but it could not be found
  Cannot satisfy dependency:
    From: Yiiclipse Core 1.0.0.201108011652 (org.maziarz.yiiclipse.feature.feature.group 1.0.0.201108011652)
    To: org.maziarz.yiiclipse [1.0.0.201108011652]

This is on a fresh Ubuntu 11.04 with Eclipse v3.5.2 and PDT v2.1.3.
programmer /ˈprəʊgramə/, noun: a device that converts ►coffee into ►code
0

#27 User is offline   KEo 

  • Junior Member
  • Pip
  • Yii
  • Group: Members
  • Posts: 24
  • Joined: 16-October 09
  • Location:Cracow, Poland

Posted 08 September 2011 - 03:41 PM

I have put the newest version under updatesite - now there should be no dependency problems anymore. With Eclipse 3.5.2 (PDT 2.1.1) works fine.
0

#28 User is offline   Da:Sourcerer 

  • Master Member
  • PipPipPipPip
  • Yii
  • Group: Members
  • Posts: 1,193
  • Joined: 30-March 11
  • Location:Berlin, Germany

Posted 08 September 2011 - 04:32 PM

Sounds great. Looking forward to it :)
programmer /ˈprəʊgramə/, noun: a device that converts ►coffee into ►code
0

#29 User is offline   Joro 

  • Newbie
  • Yii
  • Group: Members
  • Posts: 2
  • Joined: 09-September 11

Posted 09 September 2011 - 07:36 AM

Great plugin but ..:
It only works when opening "view" from the same controller
$this->render('client');

but not
$this->render('//someother/view');


Ctrl + mouse click works only on the first one.
0

#30 User is offline   Asgaroth 

  • Advanced Member
  • PipPipPip
  • Yii
  • Group: Members
  • Posts: 371
  • Joined: 17-July 09
  • Location:Bogota, Colombia

Posted 09 September 2011 - 09:57 AM

Sucessfully installed on AptanaStudio 2.0 over ubuntu 11.04

However, after adding Yii support to my project, I still cant get the navigation features to work, ctr+mouseovering code like

$this->render('create',array(
			'model'=>$model,
		));


Doest not toggle a link to my view, nor does :

<?php $this->widget('zii.widgets.CListView', array(
			'dataProvider'=>$dataProvider,
			'sortableAttributes' => array('photo.votos_positivos', 'photo.votos_negativos', 'data_cadastro', 'views'),
			'itemView'=>'_view',
			'afterAjaxUpdate' => 'js:function(id, data){ jQuery("abbr.timeago").timeago(); }',
			'template'=>"{sorter}\n{items}\n{pager}",
		)); ?>


and so on :(
- Extension: Dynamic DataProvider Behavior
- Extension: XUpload - jQuery File Upload Extension
- Extension: PhpQuickProfiler - A Web Log Router that will help you profile your application
- Extension: XDateView - A Date grouped Grid View
- Extension: Foundation - An easy to use, powerful, and flexible framework for building prototypes and production code on any kind of device.



- Wiki: How to generate Yii like Documentation
- Wiki: How to re enable logging during unit testing
0

#31 User is offline   KEo 

  • Junior Member
  • Pip
  • Yii
  • Group: Members
  • Posts: 24
  • Joined: 16-October 09
  • Location:Cracow, Poland

Posted 12 September 2011 - 06:21 AM

@Asgaroth, try the newest build - hyperlinks should works with Aptana2 correctly.

@Joro, What precisely is your project structure? For basic cases this should also works.
0

#32 User is offline   Asgaroth 

  • Advanced Member
  • PipPipPip
  • Yii
  • Group: Members
  • Posts: 371
  • Joined: 17-July 09
  • Location:Bogota, Colombia

Posted 12 September 2011 - 01:41 PM

View PostKEo, on 12 September 2011 - 06:21 AM, said:

@Asgaroth, try the newest build - hyperlinks should works with Aptana2 correctly.

@Joro, What precisely is your project structure? For basic cases this should also works.


Thanks so much, it is now working and looks wonderful :D
- Extension: Dynamic DataProvider Behavior
- Extension: XUpload - jQuery File Upload Extension
- Extension: PhpQuickProfiler - A Web Log Router that will help you profile your application
- Extension: XDateView - A Date grouped Grid View
- Extension: Foundation - An easy to use, powerful, and flexible framework for building prototypes and production code on any kind of device.



- Wiki: How to generate Yii like Documentation
- Wiki: How to re enable logging during unit testing
0

#33 User is offline   Da:Sourcerer 

  • Master Member
  • PipPipPipPip
  • Yii
  • Group: Members
  • Posts: 1,193
  • Joined: 30-March 11
  • Location:Berlin, Germany

Posted 13 September 2011 - 06:03 AM

Installs fine on Fedora 15 as well as on Ubuntu 11.04. And it's working like a charm. Thanks a lot! ;D
programmer /ˈprəʊgramə/, noun: a device that converts ►coffee into ►code
0

#34 User is offline   Joro 

  • Newbie
  • Yii
  • Group: Members
  • Posts: 2
  • Joined: 09-September 11

Posted 14 September 2011 - 02:31 AM

@KEo
This is the structure :

//ClientController.php is in protected/controlers
public function actionContract($contract_id)
{
	$contract = ClientContracts::model()->findByPk($contract_id);
	$this->render('detail/contract', compact('contract'));
        // note the view is from other controller
        //$this->render('//detail/contract', compact('contract'));
        //This is not working too
}

The file tree is like this :
protected
  views
    detail
       contract.php

0

#35 User is offline   lees 

  • Junior Member
  • Pip
  • Yii
  • Group: Members
  • Posts: 40
  • Joined: 04-May 11

Posted 15 September 2011 - 03:13 AM

:blink:
How to install it?

I don't know . Could you show me the step to installing it?

Thank you very much~~~
0

#36 User is offline   KEo 

  • Junior Member
  • Pip
  • Yii
  • Group: Members
  • Posts: 24
  • Joined: 16-October 09
  • Location:Cracow, Poland

Posted 15 September 2011 - 10:54 AM

lees,

See http://yiiclipse.maz...org/#stepByStep
0

#37 User is offline   itel 

  • Newbie
  • Yii
  • Group: Members
  • Posts: 1
  • Joined: 15-September 11
  • Location:Russia, Ekaterinburg

Posted 15 September 2011 - 04:06 PM

Hi to all!
Can anybody help me with excluding yiilite.php from PHP Include Path in Eclipse?
I tried "Right click on project -> Properties -> PHP Include Path -> Libraries -> Add External Source Folder -> Access Rules -> Edit -> Resolution: Forbidden; Rule Pattern 'yiilite.php' -> OK", but it doesn't work. Is it a bug or I do something wrong?
Does exist any ways to exclude this file except removing it? For example, NetBeans or PhpStorm can ignore some files or folders, does Eclipse have such function? It's not a problem to remove yiilite.php, but there are some dynamic generated files (such as framework/cli/views/*, ...) wich I can't delete...

If we resolve this problem, it helps me to use Eclipse and Yii with more pleasure :)
P.S. using Yiiclipse I have the same problem. It will be exelent if this plugin exclude "bad" file automatically ;)
0

#38 User is offline   lees 

  • Junior Member
  • Pip
  • Yii
  • Group: Members
  • Posts: 40
  • Joined: 04-May 11

Posted 16 September 2011 - 02:09 AM

:lol:

KEo

thank you very much~~~
0

#39 User is offline   KEo 

  • Junior Member
  • Pip
  • Yii
  • Group: Members
  • Posts: 24
  • Joined: 16-October 09
  • Location:Cracow, Poland

Posted 16 September 2011 - 03:05 AM

View Postitel, on 15 September 2011 - 04:06 PM, said:

Hi to all!
Can anybody help me with excluding yiilite.php from PHP Include Path in Eclipse?
I tried "Right click on project -> Properties -> PHP Include Path -> Libraries -> Add External Source Folder -> Access Rules -> Edit -> Resolution: Forbidden; Rule Pattern 'yiilite.php' -> OK", but it doesn't work. Is it a bug or I do something wrong?
Does exist any ways to exclude this file except removing it? For example, NetBeans or PhpStorm can ignore some files or folders, does Eclipse have such function? It's not a problem to remove yiilite.php, but there are some dynamic generated files (such as framework/cli/views/*, ...) wich I can't delete...

If we resolve this problem, it helps me to use Eclipse and Yii with more pleasure :)
P.S. using Yiiclipse I have the same problem. It will be exelent if this plugin exclude "bad" file automatically ;)


Actually it is PDT problem. I have debugged this and found that DLTK framework which PDT based on ignores all AccessRules entries. At the moment I working on removing all entries from AccessRules after DLTK finished its indexing (that could be some dirty workaround).
Couple days ago I put new thread, but so far no response, so at the moment deleting is the only solution I know.
0

#40 User is offline   lees 

  • Junior Member
  • Pip
  • Yii
  • Group: Members
  • Posts: 40
  • Joined: 04-May 11

Posted 16 September 2011 - 03:07 AM

I solved this problem.

But another problem happened to me~~~~

And I installed it success.

Attached File  1.jpg (31.57K)
Number of downloads: 57

Why I couldn't find the Yii project?

Attached File  2.jpg (12.01K)
Number of downloads: 51

BTW: I use zend studio.
0

Share this topic:


  • (5 Pages)
  • +
  • 1
  • 2
  • 3
  • 4
  • Last »
  • You cannot start a new topic
  • You cannot reply to this topic

1 User(s) are reading this topic
0 members, 1 guests, 0 anonymous users